# Uses of Class
com.databricks.jdbc.model.client.thrift.generated.TGetPrimaryKeysReq

Packages that use TGetPrimaryKeysReq
Package
Description
com.databricks.jdbc.model.client.thrift.generated

## Uses of TGetPrimaryKeysReq in com.databricks.jdbc.model.client.thrift.generated

Classes in com.databricks.jdbc.model.client.thrift.generated that implement interfaces with type arguments of type TGetPrimaryKeysReq
Modifier and Type
Class
Description
`class`
`TGetPrimaryKeysReq`
`class`
`TGetPrimaryKeysReq`
Fields in com.databricks.jdbc.model.client.thrift.generated declared as TGetPrimaryKeysReq
Modifier and Type
Field
Description
`TGetPrimaryKeysReq`
TCLIService.GetPrimaryKeys_args.`req`
Methods in com.databricks.jdbc.model.client.thrift.generated that return TGetPrimaryKeysReq
Modifier and Type
Method
Description
`TGetPrimaryKeysReq`
TGetPrimaryKeysReq.`deepCopy()`
`TGetPrimaryKeysReq`
TCLIService.GetPrimaryKeys_args.`getReq()`
`TGetPrimaryKeysReq`
TGetPrimaryKeysReq.`setCatalogName(String catalogName)`
`TGetPrimaryKeysReq`
TGetPrimaryKeysReq.`setGetDirectResults(TSparkGetDirectResults getDirectResults)`
`TGetPrimaryKeysReq`
TGetPrimaryKeysReq.`setRunAsync(boolean runAsync)`
`TGetPrimaryKeysReq`
TGetPrimaryKeysReq.`setSchemaName(String schemaName)`
`TGetPrimaryKeysReq`
TGetPrimaryKeysReq.`setSessionHandle(TSessionHandle sessionHandle)`
`TGetPrimaryKeysReq`
TGetPrimaryKeysReq.`setTableName(String tableName)`
Methods in com.databricks.jdbc.model.client.thrift.generated with parameters of type TGetPrimaryKeysReq
Modifier and Type
Method
Description
`int`
TGetPrimaryKeysReq.`compareTo(TGetPrimaryKeysReq other)`
`boolean`
TGetPrimaryKeysReq.`equals(TGetPrimaryKeysReq that)`
`void`
TCLIService.AsyncClient.`GetPrimaryKeys(TGetPrimaryKeysReq req, org.apache.thrift.async.AsyncMethodCallback<TGetPrimaryKeysResp> resultHandler)`
`void`
TCLIService.AsyncIface.`GetPrimaryKeys(TGetPrimaryKeysReq req, org.apache.thrift.async.AsyncMethodCallback<TGetPrimaryKeysResp> resultHandler)`
`TGetPrimaryKeysResp`
TCLIService.Client.`GetPrimaryKeys(TGetPrimaryKeysReq req)`
`TGetPrimaryKeysResp`
TCLIService.Iface.`GetPrimaryKeys(TGetPrimaryKeysReq req)`
`void`
TCLIService.Client.`send_GetPrimaryKeys(TGetPrimaryKeysReq req)`
`TCLIService.GetPrimaryKeys_args`
TCLIService.GetPrimaryKeys_args.`setReq(TGetPrimaryKeysReq req)`
Constructors in com.databricks.jdbc.model.client.thrift.generated with parameters of type TGetPrimaryKeysReq
Modifier
Constructor
Description
``
`GetPrimaryKeys_args(TGetPrimaryKeysReq req)`
``
`GetPrimaryKeys_call(TGetPrimaryKeysReq req, org.apache.thrift.async.AsyncMethodCallback<TGetPrimaryKeysResp> resultHandler, org.apache.thrift.async.TAsyncClient client, org.apache.thrift.protocol.TProtocolFactory protocolFactory, org.apache.thrift.transport.TNonblockingTransport transport)`
``
`TGetPrimaryKeysReq(TGetPrimaryKeysReq other)`
Performs a deep copy on other.